Published on [Permalink]
Posted in:

Huh. So Retroactive claims to be able to help you run older Apple apps on newer versions of macOS. (Not just Catalina, but also Mojave and High Sierra.)

Not something I’d need, but some of you out that might find this useful.

Reply by email